> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Save Asi1 Picking Details

POST https://agentverse.ai/internal/asi1-pick-details
Content-Type: application/json

Reference: https://docs.agentverse.ai/v-1/api-reference/internal/save-asi-1-picking-details

## Request

### Body (application/json)

This endpoint expects an ASI1PickingDetails.

- `address` (string, required) — The address of the agent
- `id` (string, required) — id generated for saving picking details
- `type` (enum, required) — denotes if the picking details come from an actual ASI1 session ('asi1') or from a pick_only session ('pick_only')
  - Allowed values: `asi1`, `pick_only`
- `user_query` (string, required) — initial user query
- `queries` (list of string, required) — all search queries
- `queries_matched` (list of string, required) — queries based on what the agent was retrieved
- `reasoning` (string, required) — the reason why the agent was finally picked
- `contract` (enum, optional) — The Almanac contract where the agent is registered
  - Allowed values: `mainnet`, `testnet`

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "address": "foo",
  "id": "foo",
  "type": "asi1",
  "user_query": "foo",
  "queries": [
    "foo"
  ],
  "queries_matched": [
    "foo"
  ],
  "reasoning": "foo"
}
```

**SDK Code**

```python internalSaveAsi1PickingDetailsExample
import requests

url = "https://agentverse.ai/internal/asi1-pick-details"

payload = {
    "address": "foo",
    "id": "foo",
    "type": "asi1",
    "user_query": "foo",
    "queries": ["foo"],
    "queries_matched": ["foo"],
    "reasoning": "foo"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript internalSaveAsi1PickingDetailsExample
const url = 'https://agentverse.ai/internal/asi1-pick-details';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"address":"foo","id":"foo","type":"asi1","user_query":"foo","queries":["foo"],"queries_matched":["foo"],"reasoning":"foo"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go internalSaveAsi1PickingDetailsExample
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/internal/asi1-pick-details"

	payload := strings.NewReader("{\n  \"address\": \"foo\",\n  \"id\": \"foo\",\n  \"type\": \"asi1\",\n  \"user_query\": \"foo\",\n  \"queries\": [\n    \"foo\"\n  ],\n  \"queries_matched\": [\n    \"foo\"\n  ],\n  \"reasoning\": \"foo\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby internalSaveAsi1PickingDetailsExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/internal/asi1-pick-details")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"address\": \"foo\",\n  \"id\": \"foo\",\n  \"type\": \"asi1\",\n  \"user_query\": \"foo\",\n  \"queries\": [\n    \"foo\"\n  ],\n  \"queries_matched\": [\n    \"foo\"\n  ],\n  \"reasoning\": \"foo\"\n}"

response = http.request(request)
puts response.read_body
```

```java internalSaveAsi1PickingDetailsExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://agentverse.ai/internal/asi1-pick-details")
  .header("Content-Type", "application/json")
  .body("{\n  \"address\": \"foo\",\n  \"id\": \"foo\",\n  \"type\": \"asi1\",\n  \"user_query\": \"foo\",\n  \"queries\": [\n    \"foo\"\n  ],\n  \"queries_matched\": [\n    \"foo\"\n  ],\n  \"reasoning\": \"foo\"\n}")
  .asString();
```

```php internalSaveAsi1PickingDetailsExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://agentverse.ai/internal/asi1-pick-details', [
  'body' => '{
  "address": "foo",
  "id": "foo",
  "type": "asi1",
  "user_query": "foo",
  "queries": [
    "foo"
  ],
  "queries_matched": [
    "foo"
  ],
  "reasoning": "foo"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp internalSaveAsi1PickingDetailsExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/internal/asi1-pick-details");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"address\": \"foo\",\n  \"id\": \"foo\",\n  \"type\": \"asi1\",\n  \"user_query\": \"foo\",\n  \"queries\": [\n    \"foo\"\n  ],\n  \"queries_matched\": [\n    \"foo\"\n  ],\n  \"reasoning\": \"foo\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift internalSaveAsi1PickingDetailsExample
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "address": "foo",
  "id": "foo",
  "type": "asi1",
  "user_query": "foo",
  "queries": ["foo"],
  "queries_matched": ["foo"],
  "reasoning": "foo"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/internal/asi1-pick-details")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```